## dpm-postgres 1.7.4.1

=== rpm/Makefile ===
#
# Copyright (c) Members of the EGEE Collaboration. 2006-2009.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://www.apache.org/licenses/LICENSE-2.0
#
# Authors: 
#      Akos Frohner <Akos.Frohner@cern.ch>
#
# Makefile to build all RPMs in one go.

default: all

OS=$(shell ../scripts/get-platform-os)

ifndef VERSION
include ../VERSION
endif

ifndef RELEASE_SUFFIX
RELEASE_SUFFIX=$(RC)sec.$(OS)
endif

ifeq ($(GLOBUS_LOCATION),)
GLOBUS_LOCATION=$(shell awk '/^.define.*GlobusLocation/ { print $$3 }' ../config/site.def)
endif

ifndef ORACLE_INSTANTCLIENT_LOCATION
ORACLE_INSTANTCLIENT_LOCATION=/usr
endif
ifndef ORACLE_INSTANTCLIENT_VERSION
ORACLE_INSTANTCLIENT_VERSION=10.2.0.3
endif
ORACLE_INSTANTCLIENT_LIBDIR=$(ORACLE_INSTANTCLIENT_LOCATION)/lib/oracle/$(ORACLE_INSTANTCLIENT_VERSION)/client/lib/

PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")

all: rpm-lcg-dm-common rpm-LFC-mysql rpm-DPM-mysql rpm-DPM-dicom-mysql
ifneq ($(PROC_INIT),)
all: rpm-LFC-oracle rpm-DPM-oracle
endif
all:
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

install: install-lcg-dm-common install-LFC-mysql install-DPM-mysql

client: rpm-lcg-dm-common rpm-LFC-client rpm-DPM-client
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

client-install: install-lcg-dm-common install-LFC-client install-DPM-client

py25: rpm-LFC-py25 rpm-DPM-py25
	mkdir -p ../RPMS
	cp build-*/RPMS/*/*.rpm ../RPMS/
	cp build-*/SRPMS/*.rpm ../RPMS/

check-proc:
	source $(PROC_INIT); which proc

SOURCE_DIR=LCG-DM-$(VERSION)
SOURCE_TAR=$(SOURCE_DIR).tar.gz

$(SOURCE_TAR):
	cd ..; \
	rm -rf $(SOURCE_DIR); \
	mkdir $(SOURCE_DIR); \
	cp -rp Imakefile Makefile.ini Makefile.ini.Win32 README VERSION \
		config imake test setosflags configure doc scripts \
		h lib shlib common ns rfio dpm srmv1 srmv2 srmv2.2 security \
		dli dicomcopy dpmcopy $(SOURCE_DIR); \
	find $(SOURCE_DIR) -name CVS -print0 | xargs -0 rm -rf ; \
	tar -czf $(SOURCE_TAR) $(SOURCE_DIR); \
	rm -rf $(SOURCE_DIR)
	mv ../$(SOURCE_TAR) .

source: $(SOURCE_TAR)

build-rpm: source
	mkdir -p build-rpm
	mkdir -p build-rpm/BUILD
	mkdir -p build-rpm/RPMS
	mkdir -p build-rpm/SRPMS
	mkdir -p build-rpm/SOURCES
	mkdir -p build-rpm/SPECS
	cp $(SOURCE_TAR) build-rpm/SOURCES
	for spec in *.spec; do \
		sed -e 's/@VERSION@/$(VERSION)/g;' \
			-e 's/@RELEASE@/$(RELEASE)/g;' \
			-e 's/@SECURITY@/$(RELEASE_SUFFIX)/g;' \
			-e 's/@PYTHON.VERSION@/$(PYTHON_VERSION)/g;' \
			-f $(OS).spec.requires $$spec >build-rpm/SPECS/$$spec; \
	done

###############################################################################
# common
###############################################################################

BUILD_COMMON=build-rpm/BUILD/lcg-dm-common-$(VERSION)

rpm-lcg-dm-common $(BUILD_COMMON): build-rpm 
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/lcg-dm-common.spec

install-lcg-dm-common: $(BUILD_COMMON)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_COMMON); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC client
###############################################################################

BUILD_LFC_CLIENT=build-rpm/BUILD/LFC-client-$(VERSION)

rpm-LFC-client $(BUILD_LFC_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-client.spec

install-LFC-client: $(BUILD_LFC_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM client
###############################################################################

BUILD_DPM_CLIENT=build-rpm/BUILD/DPM-client-$(VERSION)

rpm-DPM-client $(BUILD_DPM_CLIENT): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-client.spec

install-DPM-client: $(BUILD_DPM_CLIENT)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_CLIENT); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# LFC MySQL
###############################################################################

BUILD_LFC_MYSQL=build-rpm/BUILD/LFC-mysql-$(VERSION)

rpm-LFC-mysql $(BUILD_LFC_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-mysql.spec

install-LFC-mysql: $(BUILD_LFC_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_LFC_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM MySQL
###############################################################################

BUILD_DPM_MYSQL=build-rpm/BUILD/DPM-mysql-$(VERSION)

rpm-DPM-mysql $(BUILD_DPM_MYSQL): build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-mysql.spec

install-DPM-mysql: $(BUILD_DPM_MYSQL)
	if [ ! -d "$(prefix)" ]; then mkdir -p "$(prefix)"; fi
	cd $(BUILD_DPM_MYSQL); $(MAKE) prefix=$(prefix) install install.man

###############################################################################
# DPM-DICOM MySQL
###############################################################################

rpm-DPM-dicom-mysql: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-dicom.spec

###############################################################################
# LFC Oracle
###############################################################################

rpm-LFC-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-oracle.spec

###############################################################################
# DPM Oracle
###############################################################################

rpm-DPM-oracle: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); \
	source $(PROC_INIT); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-oracle.spec

###############################################################################
# LFC PostgreSQL
###############################################################################

rpm-LFC-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-postgres.spec

###############################################################################
# DPM PostgreSQL
###############################################################################

rpm-DPM-postgres: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-postgres.spec

###############################################################################
# LFC Python 2.5
###############################################################################

rpm-LFC-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/LFC-interfaces-py25.spec

###############################################################################
# DPM Python 2.5
###############################################################################

rpm-DPM-py25: build-rpm
	export LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); \
	rpmbuild --nodeps --define "_topdir $(PWD)/build-rpm" -ba build-rpm/SPECS/DPM-interfaces-py25.spec

clean:
	-rm -rf ../RPMS build-rpm $(SOURCE_TAR)

=== solaris/Makefile ===
#
# Copyright (c) Members of the EGEE Collaboration. 2006-2009.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://www.apache.org/licenses/LICENSE-2.0
#
# Authors: 
#      Akos Frohner <Akos.Frohner@cern.ch>
#      Jean-Philippe Baud <Jean-Philippe.Baud@cern.ch>
#
# Makefile to build all RPMs in one go.

default: all

SHELL = /bin/sh

ifndef VERSION
include ../VERSION
endif

ifndef RELEASE_SUFFIX
RELEASE_SUFFIX=sol10-x86
endif

ifeq ($(GLOBUS_LOCATION),)
GLOBUS_LOCATION=$(shell awk '/^.define.*GlobusLocation/ { print $$3 }' ../config/site.def)
endif

ifndef ORACLE_INSTANTCLIENT_LOCATION
ORACLE_INSTANTCLIENT_LOCATION=/usr
endif
ifndef ORACLE_INSTANTCLIENT_VERSION
ORACLE_INSTANTCLIENT_VERSION=10.2.0.3
endif
ORACLE_INSTANTCLIENT_LIBDIR=$(ORACLE_INSTANTCLIENT_LOCATION)/lib/oracle/$(ORACLE_INSTANTCLIENT_VERSION)/client/lib/

PYTHON_VERSION=$(shell python -c "import sys; print sys.version[:3]")

all: lcg-dm-common LFC-mysql DPM-mysql DPM-dicom-mysql
ifneq ($(PROC_INIT),)
all: LFC-oracle DPM-oracle
endif
all:
	mkdir -p ../RPMS
	cp build-*/RPMS/*-sol10-x86 ../RPMS/

client: lcg-dm-common LFC-client DPM-client
	mkdir -p ../RPMS
	cp build-*/RPMS/*-sol10-x86 ../RPMS/

check-proc:
	source $(PROC_INIT); which proc

SOURCE_DIR=LCG-DM-$(VERSION)
SOURCE_TAR=$(SOURCE_DIR).tar.gz

$(SOURCE_TAR):
	cd ..; \
	rm -rf $(SOURCE_DIR); \
	mkdir $(SOURCE_DIR); \
	cp -rp Imakefile Makefile.ini Makefile.ini.Win32 README VERSION \
		config imake test setosflags configure doc scripts \
		h lib shlib common ns rfio dpm srmv1 srmv2 srmv2.2 security \
		dli dicomcopy dpmcopy $(SOURCE_DIR); \
	find $(SOURCE_DIR) -name CVS -exec rm -rf {} \;; \
	gtar -czf $(SOURCE_TAR) $(SOURCE_DIR); \
	rm -rf $(SOURCE_DIR)
	mv ../$(SOURCE_TAR) .

source: $(SOURCE_TAR)

build-pkg: source
	mkdir -p build-pkg
	mkdir -p build-pkg/BUILD
	mkdir -p build-pkg/RPMS
	mkdir -p build-pkg/SOURCES
	cp $(SOURCE_TAR) build-pkg/SOURCES

###############################################################################
# common
###############################################################################

lcg-dm-common: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-client-only dm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lcgdmcmn -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LCG-DM-common-$(VERSION)-$(RELEASE_SUFFIX) LCG-DM-common

###############################################################################
# LFC client
###############################################################################

LFC-client: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-client-only lfc CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcclient -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcifce -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcifce2 -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-client-$(VERSION)-$(RELEASE_SUFFIX) LFC-client
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-interfaces-$(VERSION)-$(RELEASE_SUFFIX) LFC-interfaces
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-interfaces2-$(VERSION)-$(RELEASE_SUFFIX) LFC-interfaces2

###############################################################################
# DPM client
###############################################################################

DPM-client: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-client-only dpm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmclient -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmifce -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmifce2 -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-client-$(VERSION)-$(RELEASE_SUFFIX) DPM-client
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-interfaces-$(VERSION)-$(RELEASE_SUFFIX) DPM-interfaces
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-interfaces2-$(VERSION)-$(RELEASE_SUFFIX) DPM-interfaces2

###############################################################################
# LFC MySQL
###############################################################################

LFC-mysql: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-mysql lfc CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcclient -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcifce -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcifce2 -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcmys -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-client-$(VERSION)-$(RELEASE_SUFFIX) LFC-client
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-interfaces-$(VERSION)-$(RELEASE_SUFFIX) LFC-interfaces
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-interfaces2-$(VERSION)-$(RELEASE_SUFFIX) LFC-interfaces2
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) LFC-server-mysql

###############################################################################
# DPM MySQL
###############################################################################

DPM-mysql: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-mysql dpm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmclient -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmifce -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmifce2 -v $(VERSION) PYTHON_VERSION=$(PYTHON_VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmmys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.copymys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpnsmys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.srmmys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.rfioserver -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-client-$(VERSION)-$(RELEASE_SUFFIX) DPM-client
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-interfaces-$(VERSION)-$(RELEASE_SUFFIX) DPM-interfaces
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-interfaces2-$(VERSION)-$(RELEASE_SUFFIX) DPM-interfaces2
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-copy-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-copy-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-name-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-name-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-srm-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-srm-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-rfio-server-$(VERSION)-$(RELEASE_SUFFIX) DPM-rfio-server

###############################################################################
# DPM-DICOM MySQL
###############################################################################

DPM-dicom-mysql: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-mysql --with-dicom dpm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmdicommys -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dicommys -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-dicom-server-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-dicom-server-mysql
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/DPM-dicom-copyd-mysql-$(VERSION)-$(RELEASE_SUFFIX) DPM-dicom-copyd-mysql

###############################################################################
# LFC Oracle
###############################################################################

LFC-oracle: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-oracle lfc CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.lfcora -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/LFC-server-oracle-$(VERSION)-$(RELEASE_SUFFIX) LFC-server-oracle

###############################################################################
# DPM Oracle
###############################################################################

DPM-oracle: build-pkg
	cd build-pkg/BUILD; \
	rm -rf $@-$(VERSION); \
	gtar -xzf ../SOURCES/$(SOURCE_TAR); \
	mv $(SOURCE_DIR) $@-$(VERSION)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$@-$(VERSION)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(ORACLE_INSTANTCLIENT_LIBDIR):$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$@-$(VERSION); \
	./configure --with-oracle dpm CC=gcc MAKE=gmake ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install prefix=$$BUILD_ROOT; \
	gmake install.man prefix=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dpmora -v $(VERSION) VERSION=$(VERSION); \

## dpm-postgres 1.7.4.7

=== debian/changelog ===
dpm-postgres (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581087, #581088, #581089, #581090, #581093, #581097)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

dpm-postgres (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

dpm-postgres (1.7.4.1-3) unstable; urgency=low

  * Correct install script typos (fixes piuparts errors)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 18:40:02 +0100

dpm-postgres (1.7.4.1-2) unstable; urgency=low

  * More porting fixes for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 00:18:31 +0100

dpm-postgres (1.7.4.1-1) unstable; urgency=low

  * Update to version 1.7.4.1
  * More porting fixes for GNU/Hurd and kfreebsd
  * Dropped patch lcgdm-missing-swig-includes.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 05 Jan 2010 08:53:20 +0100

dpm-postgres (1.7.3.1-5) unstable; urgency=low

  * Fix porting issues for GNU/Hurd and kfreebsd
  * Extend package descriptions

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 Dec 2009 14:59:19 +0100

dpm-postgres (1.7.3.1-4) unstable; urgency=low

  * Add missing include statements in swig interface files
  * Use Debian's imake instead of bundled version

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Dec 2009 14:38:11 +0100

dpm-postgres (1.7.3.1-3) unstable; urgency=low

  * Don't use /bin/false as shell - doesn't work with su
  * Fix bad directory used for dlopening plugins

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Nov 2009 17:27:52 +0100

dpm-postgres (1.7.3.1-2) unstable; urgency=low

  * Update copyright file (Closes: #552335)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 18 Nov 2009 15:07:04 +0100

dpm-postgres (1.7.3.1-1) UNRELEASED; urgency=low

  * Initial release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 Sep 2009 05:18:22 +0200

=== debian/control ===
Source: dpm-postgres
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libpq-dev, uuid-dev, liblcgdm-dev, libdpm-dev, xutils-dev
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dpm-postgres
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/dpm-postgres
Homepage: http://glite.web.cern.ch/glite/

Package: dpm-postgres
Architecture: any
Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses postgres as its database
 backend.

Package: dpm-postgres-nameserver
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM nameserver server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses postgres as its
 database backend.

Package: dpm-postgres-copyd
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM copy server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses postgres as its
 database backend.

Package: dpm-postgres-srmv1
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 1 server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 1 server that uses postgres
 as its database backend.

Package: dpm-postgres-srmv2
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 2 server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 2 server that uses postgres
 as its database backend.

Package: dpm-postgres-srmv22
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 2.2 server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 2.2 server that uses postgres
 as its database backend.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_initrddir = $(_sysconfdir)/init.d
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

VERSION=1.7.4.7

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

configure: configure-stamp
	:

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for f in config/site.def config/linux.cf \
		 config/Library.tmpl config/Project.tmpl ; do \
	    [ ! -e $$f.save ] && cp -p $$f $$f.save || : ; \
	done

	sed 's!@@LIBDIR@@!$(_libdir)!' -i security/Csec_api_loader.c

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CFLAGS) -fno-strict-aliasing -Wl,-z,defs/' \
	    -i config/linux.cf

	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-postgres \
		--libdir=lib \
		--with-gsoap-location=$(_prefix) \
		--with-gsoap-version=$$gsoapversion \
		--with-voms-location=$(_prefix) \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-sysconf-dir='$$(prefix)/../etc'

	sed -e 's/\(BuildDPMClient	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioClient	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioServer	*\)YES/\1NO/' -i config/site.def

	sed '/^\#define.*YES/d' -i config/Project.tmpl config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i config/Project.tmpl

	make -f Makefile.ini Makefiles

	cd shlib && ln -s /usr/lib/liblcgdm.so* .
	cd shlib && ln -s /usr/lib/libdpm.so* .

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) prefix=$(_prefix) POSINC=-I/usr/include/postgresql

	touch $@

unpatch: cleanup

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) clobber ; fi

	for f in config/site.def config/linux.cf \
		 config/Library.tmpl config/Project.tmpl ; do \
	    [ -e $$f.save ] && mv $$f.save $$f || : ; \
	done

	sed 's!$(_libdir)!@@LIBDIR@@!' -i security/Csec_api_loader.c

	rm -f imake/imake imake/imake.o imake/ccimake

	find . '(' -name Makefile -a '!' -path */scripts/* ')' -exec rm {} ';'

	rm -f config.status

	rm -f dpmcopy/dpm_libpq_ifce.c
	rm -f dpmcopy/dpm_copyfile.c

	rm -f h/patchlevel.h
	rm -f NSCONFIG

	rm -f shlib/liblcgdm.so* shlib/libdpm.so*

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install
	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install.man

	mv $(INSTALLDIR)$(_datadir)/DPM $(INSTALLDIR)$(_datadir)/dpm

	mkdir -p $(INSTALLDIR)$(_libdir)/dpm-postgres
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/dpm-postgres

	# dpm startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpm > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.init
	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpm

	# dpm configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(^RUN_DPMDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/dpm.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.conf
	rm $(INSTALLDIR)$(_sysconfdir)/dpm.conf.templ

	# dpm log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/dpm
	install -m 644 dpm/dpm.logrotate \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.logrotate

	# dpm binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpm \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/dpm
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    -e 's/dpm-shutdown(1)/dpm-shutdown(8)/g' \
	    $(INSTALLDIR)$(_mandir)/man1/dpm.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-postgres/dpm.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpm.1

	mv $(INSTALLDIR)$(_sysconfdir)/DPMCONFIG.templ \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/DPMCONFIG.templ

	# dpm-shutdown binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpm-shutdown \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/dpm-shutdown
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    $(INSTALLDIR)$(_mandir)/man1/dpm-shutdown.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-postgres/dpm-shutdown.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpm-shutdown.1

	# dpnsdaemon startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.init
	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon

	# dpnsdaemon configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
	    -e 's/\(^RUN_DPNSDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/dpnsdaemon.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.conf
	rm $(INSTALLDIR)$(_sysconfdir)/dpnsdaemon.conf.templ

	# dpnsdaemon log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/dpns
	install -m 644 ns/dpnsdaemon.logrotate \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.logrotate

	# dpnsdaemon binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpnsdaemon \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/dpnsdaemon
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    -e 's!/opt/lcg!!g' \
	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
	    -e 's/dpns-shutdown(1)/dpns-shutdown(8)/g' \
	    $(INSTALLDIR)$(_mandir)/man1/dpnsdaemon.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-postgres/dpnsdaemon.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpnsdaemon.1

	mv $(INSTALLDIR)$(_sysconfdir)/NSCONFIG.templ \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/DPNSCONFIG.templ

	# dpns-shutdown binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpns-shutdown \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/dpns-shutdown
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    $(INSTALLDIR)$(_mandir)/man1/dpns-shutdown.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-postgres/dpns-shutdown.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpns-shutdown.1

	# dpmcopyd startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpmcopyd.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpmcopyd.init
	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd

	# dpmcopyd configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(^DPM_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(^RUN_DPMCOPYDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpmcopyd.conf
	rm $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ

	# dpmcopyd log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/dpmcopy

## dpm-postgres 1.8.0.1

=== debian/changelog ===
dpm-postgres (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 16 May 2011 06:47:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: dpm-postgres
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libpq-dev, uuid-dev, liblcgdm-dev, libdpm-dev, xutils-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.0), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libpq-dev, uuid-dev, liblcgdm-dev (>= 1.8.0.1), libdpm-dev (>= 1.8.0.1), xutils-dev
+Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dpm-postgres
@@ -11,7 +11,7 @@
 
 Package: dpm-postgres
 Architecture: any
-Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
+Depends: adduser, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: Disk Pool Manager (DPM) server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -21,7 +21,7 @@
 
 Package: dpm-postgres-nameserver
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
 Description: DPM nameserver server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -31,7 +31,7 @@
 
 Package: dpm-postgres-copyd
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM copy server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -41,7 +41,7 @@
 
 Package: dpm-postgres-srmv1
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 1 server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -51,7 +51,7 @@
 
 Package: dpm-postgres-srmv2
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 2 server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -61,7 +61,7 @@
 
 Package: dpm-postgres-srmv22
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 2.2 server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.7.4.7
+VERSION=1.8.0.1
 
 DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

## dpm-postgres 1.8.1.2

=== debian/changelog ===
dpm-postgres (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 19:21:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpm-postgres
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.0), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libpq-dev, uuid-dev, liblcgdm-dev (>= 1.8.0.1), libdpm-dev (>= 1.8.0.1), xutils-dev
+Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.2), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev (>= 2), gsoap, libpq-dev, uuid-dev, liblcgdm-dev (>= 1.8.1.2), libdpm-dev (>= 1.8.1.2), xutils-dev
 Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.8.0.1
+VERSION=1.8.1.2
 
 DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 
@@ -47,8 +47,6 @@
 		 config/Library.tmpl config/Project.tmpl ; do \
 	    [ ! -e $$f.save ] && cp -p $$f $$f.save || : ; \
 	done
-
-	sed 's!@@LIBDIR@@!$(_libdir)!' -i security/Csec_api_loader.c
 
 	# The code violates the strict aliasing rules all over the place...
 	# Need to use -fnostrict-aliasing so that the -O2 optimization in
@@ -59,13 +57,13 @@
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
 	./configure dpm --with-postgres \
 		--libdir=lib \
-		--with-gsoap-location=$(_prefix) \
 		--with-gsoap-version=$$gsoapversion \
-		--with-voms-location=$(_prefix) \
 		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
 		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
 		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
-		--with-sysconf-dir='$$(prefix)/../etc'
+		--with-sysconf-dir='$$(prefix)/../etc' \
+		--with-emi \
+	        --without-argus
 
 	sed -e 's/\(BuildDPMClient	*\)YES/\1NO/' \
 	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
@@ -84,13 +82,20 @@
 
 	touch $@
 
-build: build-stamp
+build: build-indep build-arch
+	:
+
+build-indep: build-stamp
+	:
+
+build-arch: build-stamp
 	:
 
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) prefix=$(_prefix) POSINC=-I/usr/include/postgresql
+	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		POSINC=-I/usr/include/postgresql
 
 	touch $@
 
@@ -110,8 +115,6 @@
 	    [ -e $$f.save ] && mv $$f.save $$f || : ; \
 	done
 
-	sed 's!$(_libdir)!@@LIBDIR@@!' -i security/Csec_api_loader.c
-
 	rm -f imake/imake imake/imake.o imake/ccimake
 
 	find . '(' -name Makefile -a '!' -path */scripts/* ')' -exec rm {} ';'
@@ -135,8 +138,8 @@
 	dh_testroot
 	dh_clean -k
 
-	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install
-	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install.man
+	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		prefix=$(INSTALLDIR)$(_prefix) install install.man
 
 	mv $(INSTALLDIR)$(_datadir)/DPM $(INSTALLDIR)$(_datadir)/dpm
 
@@ -146,15 +149,15 @@
 	# dpm startup script
 	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
 	    -e '/LD_LIBRARY_PATH/d' \
-	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
+	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
+	    -e 's!\$$PREFIX/etc!/etc!' \
 	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpm > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.init
 	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.init
 	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpm
 
 	# dpm configuration file
-	sed -e 's!/opt/lcg!!g' \
-	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
+	sed -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
 	    -e 's/\(^RUN_DPMDAEMON=\).*/\1"no"/' \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm.conf.templ > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.conf
@@ -188,7 +191,8 @@
 	# dpnsdaemon startup script
 	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
 	    -e '/LD_LIBRARY_PATH/d' \
-	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
+	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
+	    -e 's!\$$PREFIX/etc!/etc!' \
 	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
 	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.init
@@ -196,8 +200,7 @@
 	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon
 
 	# dpnsdaemon configuration file
-	sed -e 's!/opt/lcg!!g' \
-	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
+	sed -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
 	    -e 's/\(^RUN_DPNSDAEMON=\).*/\1"no"/' \
 	    $(INSTALLDIR)$(_sysconfdir)/dpnsdaemon.conf.templ > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.conf
@@ -233,15 +236,15 @@
 	# dpmcopyd startup script
 	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
 	    -e '/LD_LIBRARY_PATH/d' \
-	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
+	    -e 's!\$$PREFIX/bin!\$$PREFIX/sbin!' \
+	    -e 's!\$$PREFIX/etc!/etc!' \
 	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd > \
 	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpmcopyd.init
 	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpmcopyd.init
 	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd
 
 	# dpmcopyd configuration file
-	sed -e 's!/opt/lcg!!g' \
-	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
+	sed -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
 	    -e 's/\(^DPM_HOST=\).*/\1`hostname -f`/' \
 	    -e 's/\(^RUN_DPMCOPYDAEMON=\).*/\1"no"/' \
 	    $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ > \
@@ -250,3 +253,4 @@
 
 	# dpmcopyd log directory and log rotation configuration
 	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/dpmcopy
+	install -m 644 dpmcopy/dpmcopyd.logrotate \
